Send a raw MIME email
curl --request POST \
--url https://api.sendkit.dev/emails/mime \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"envelope_from": "Your Name <hello@yourdomain.com>",
"envelope_to": "user@example.com",
"raw_message": "<string>"
}
'import requests
url = "https://api.sendkit.dev/emails/mime"
payload = {
"envelope_from": "Your Name <hello@yourdomain.com>",
"envelope_to": "user@example.com",
"raw_message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
envelope_from: 'Your Name <hello@yourdomain.com>',
envelope_to: 'user@example.com',
raw_message: '<string>'
})
};
fetch('https://api.sendkit.dev/emails/mime', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000"
}{
"message": "Invalid API key."
}{
"message": "The email field is required."
}{
"name": "rate_limit_exceeded",
"message": "Rate limit exceeded. Please retry after 30 seconds."
}Emails
Send MIME email
Send a raw MIME email. The raw message must be a valid RFC 2822 formatted email. The envelope_from must belong to a verified domain in your account.
POST
/
emails
/
mime
Send a raw MIME email
Authorizations
API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.
Body
application/json
Sender email address. Must belong to a verified domain. Accepts plain email or with display name.
Example:
"Your Name <hello@yourdomain.com>"
Recipient email address.
Example:
"user@example.com"
The raw RFC 2822 formatted email message.
Required string length:
10 - 37500000Response
Email accepted for delivery
- Option 1
- Option 2
Returned when sending to a single recipient.
Unique identifier of the created email.
Example:
"550e8400-e29b-41d4-a716-446655440000"
⌘I

